use sqlite::{Connection, OpenFlags};
use rss::{Channel, Item};
use reqwest;

pub fn init() -> sqlite::Result<()> {
    let conn = Connection::open_with_flags(
        "./data/data.db", 
        OpenFlags::new()
            .with_create()
            .with_read_write()
    )?;

    conn.execute(
        "CREATE TABLE IF NOT EXISTS articles (
            id INTEGER PRIMARY KEY,
            title TEXT NOT NULL,
            auteur TEXT,
            edited_at DATE_FORMAT('now', '%YYYY-%mm-%dd'),
            published_at DATE_FORMAT('now', '%YYYY-%mm-%dd'),
            content TEXT NOT NULL
        )",
    )?;

    Ok(())
}

pub async fn update_articles( channel: &Channel)  {
    let conn = Connection::open_with_flags(
        "./data/data.db", 
        OpenFlags::new()
            .with_create()
            .with_read_write()
    );

    let flux_rss = reqwest::get("https://www.lemonde.fr/rss/une.xml")
    .await
    .unwrap();

    let channel = Channel::read_from(&flux_rss[..]);
}
